<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".views.PaymentVoucherActivity">


    <androidx.appcompat.widget.Toolbar
        android:layout_width="match_parent"
        android:layout_height="@dimen/dimen_50dp"
        android:background="@drawable/drawable_maintxtbg">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:gravity="center_vertical"
            android:orientation="horizontal">
            <ImageView
                android:id="@+id/imgback"
                android:layout_width="@dimen/dimen_30dp"
                android:layout_height="@dimen/dimen_30dp"
                android:layout_centerVertical="true"
                app:srcCompat="@drawable/ic_arrow_back_"/>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:gravity="center"
                android:layout_marginLeft="@dimen/dime_40dp"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/txtHead"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"

                    android:textColor="@android:color/white"
                    android:gravity="center_vertical"

                    android:layout_centerVertical="true"
                    android:textSize="@dimen/dimen_15sp"
                    android:maxLines="1"
                    android:ellipsize="end"
                    android:layout_weight="0.4"

                    android:layout_alignParentLeft="true"
                    android:text="Payment voucher" />



                <TextView
                    android:id="@+id/txtbudget"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:padding="@dimen/dimen_4dp"
                    android:maxLines="1"
                    android:ellipsize="end"
                    android:visibility="gone"
                    android:background="@drawable/drawable_roundbg"
                    android:layout_weight="0.6"
                    android:textColor="@android:color/white"
                    android:gravity="center"
                    android:layout_marginRight="@dimen/dimen_15dp"

                    android:layout_centerVertical="true"
                    android:textSize="@dimen/dimen_15sp"


                    android:text="@string/setbudget" />

            </LinearLayout>

            <ImageView
                android:id="@+id/imgbudget"
                android:layout_width="@dimen/dimen_30dp"
                android:layout_height="@dimen/dimen_30dp"
                android:layout_centerVertical="true"

                android:visibility="gone"
                android:layout_marginRight="@dimen/dimen_70dp"
                android:layout_alignParentRight="true"
                app:srcCompat="@drawable/ic_business_center_"/>

            <ImageView
                android:id="@+id/imgaacsettings"
                android:layout_width="@dimen/dimen_30dp"
                android:layout_height="@dimen/dimen_30dp"
                android:layout_centerVertical="true"

                android:visibility="gone"
                android:layout_marginRight="@dimen/dimen_15dp"
                android:layout_alignParentRight="true"
                app:srcCompat="@drawable/ic_settings_applications"/>
        </RelativeLayout>

    </androidx.appcompat.widget.Toolbar>

    <!--    <com.google.android.material.tabs.TabLayout-->
    <!--        android:id="@+id/tabLayout"-->
    <!--        android:layout_width="match_parent"-->
    <!--        android:layout_height="@dimen/dimen_50dp"-->
    <!--        android:background="@color/colorPrimary"-->
    <!--        app:tabIndicatorHeight="1px"-->
    <!--        app:tabIndicatorColor="@color/white"-->
    <!--        app:tabSelectedTextColor="@color/black"-->
    <!--        app:tabTextAppearance="@android:style/TextAppearance.Widget.TabWidget"-->
    <!--        app:tabTextColor="@color/white"/>-->

    <!--    <androidx.viewpager.widget.ViewPager-->
    <!--        android:id="@+id/viewpager"-->
    <!--        android:layout_width="match_parent"-->
    <!--        android:layout_height="match_parent"-->
    <!--        />-->


    <LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:tools="http://schemas.android.com/tools"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical"
        xmlns:app="http://schemas.android.com/apk/res-auto"
        tools:context=".fragments.VoucherFragment">


        <FrameLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_margin="@dimen/dimen_4dp"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">


                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/dimen_50dp"
                        android:layout_margin="@dimen/dimen_4dp"
                        android:layout_weight="0.5"

                        android:visibility="gone"
                        android:background="@drawable/drawable_squarebg">
                        <Spinner
                            android:id="@+id/spinnerAccountName"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"

                            />

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_margin="@dimen/dimen_4dp"
                        android:layout_weight="0.5"
                        android:orientation="horizontal"
                        android:background="@drawable/drawable_squarebg">

                        <TextView
                            android:id="@+id/txtdatepick"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:padding="@dimen/dimen_15dp"
                            android:layout_weight="0.3"
                            android:maxLines="1"
                            android:ellipsize="end"
                            android:text="Select month and year"/>

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:gravity="center"
                            android:layout_weight="0.7">

                            <ImageView
                                android:id="@+id/imgDatepick"
                                android:layout_width="@dimen/dimen_30dp"
                                android:layout_height="@dimen/dimen_30dp"
                                android:layout_centerVertical="true"

                                android:layout_marginRight="@dimen/dimen_30dp"
                                android:layout_alignParentRight="true"
                                app:srcCompat="@drawable/ic_date_range_"/>

                        </LinearLayout>
                    </LinearLayout>



                </LinearLayout>


                <Button
                    android:id="@+id/submit"
                    android:layout_width="@dimen/dimen_120dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:visibility="gone"
                    android:textAllCaps="false"

                    android:layout_margin="@dimen/dimen_10dp"
                    android:background="@color/colorPrimary"

                    android:text="Search"
                    android:textColor="@color/white" />



                <LinearLayout
                    android:id="@+id/layout_head"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@drawable/drawable_squarebg"

                    android:visibility="visible"
                    android:orientation="horizontal">

                    <TextView


                        android:id="@+id/txtdate"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_gravity="center_vertical"
                        android:gravity="center"
                        android:text="Date"
                        android:background="@drawable/drawable_squarebg"
                        android:padding="@dimen/dimen_10dp"
                        android:layout_weight="0.2"
                        android:textColor="@android:color/black"
                        android:textSize="@dimen/dimen_15sp"



                        android:layout_alignParentLeft="true"

                        android:layout_centerVertical="true"



                        />

                    <TextView

                        android:id="@+id/txtaccount"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_gravity="center_vertical"
                        android:gravity="center"
                        android:text="Debit"
                        android:padding="@dimen/dimen_10dp"
                        android:background="@drawable/drawable_squarebg"
                        android:layout_weight="0.2"
                        android:textColor="@android:color/black"
                        android:textSize="@dimen/dimen_15sp"


                        android:layout_alignParentLeft="true"

                        android:layout_centerVertical="true"



                        />

                    <TextView

                        android:id="@+id/txtamount"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_gravity="center_vertical"
                        android:gravity="center"
                        android:text="Amount"
                        android:background="@drawable/drawable_squarebg"
                        android:padding="@dimen/dimen_10dp"
                        android:layout_weight="0.2"
                        android:textColor="@android:color/black"
                        android:textSize="@dimen/dimen_15sp"


                        android:layout_alignParentLeft="true"

                        android:layout_centerVertical="true"



                        />


                    <TextView

                        android:id="@+id/txttype"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_gravity="center_vertical"
                        android:gravity="center"
                        android:text="Credit"
                        android:padding="@dimen/dimen_10dp"
                        android:background="@drawable/drawable_squarebg"
                        android:layout_weight="0.2"
                        android:textColor="@android:color/black"
                        android:textSize="@dimen/dimen_15sp"


                        android:layout_alignParentLeft="true"

                        android:layout_centerVertical="true"



                        />






                    <TextView

                        android:id="@+id/txtaction"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_gravity="center_vertical"
                        android:gravity="center"
                        android:text="Action"
                        android:padding="@dimen/dimen_10dp"
                        android:background="@drawable/drawable_squarebg"
                        android:layout_weight="0.2"
                        android:textColor="@android:color/black"
                        android:textSize="@dimen/dimen_15sp"


                        android:layout_alignParentLeft="true"

                        android:layout_centerVertical="true"



                        />




                </LinearLayout>






                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="vertical">

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/recycler"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_weight="0.2"
                        />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:orientation="vertical"

                        android:layout_weight="0.8">


                        <TextView

                            android:id="@+id/txtTotal"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:layout_gravity="center_vertical"
                            android:gravity="left|center_vertical"
                            android:text=""
                            android:layout_weight="0.8"
                            android:textColor="@android:color/black"
                            android:textSize="@dimen/dimen_15sp"
                            android:paddingLeft="@dimen/dimen_10dp"


                            android:layout_alignParentLeft="true"

                            android:layout_centerVertical="true"



                            />

                    </LinearLayout>



                </LinearLayout>

            </LinearLayout>









            <com.google.android.material.floatingactionbutton.FloatingActionButton
                app:fabSize="normal"
                android:id="@+id/fab_addtask"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                app:fabCustomSize="@dimen/dimen_50dp"
                app:srcCompat="@drawable/ic_add_"
                android:layout_gravity="bottom|right"
                android:layout_margin="@dimen/dimen_15dp"/>




        </FrameLayout>

    </LinearLayout>




</LinearLayout>

